Subject: RE: [SIP] Call redirected (302) to more expensive destination.

From: "Drage, Keith (Keith)" <[email-masked]>
Date: Fri, 13 Oct 2000 10:35:10 +0100

Redirecting the session to a different endpoint does not necessarily make a
call forwarding service. If you look at the ISDN call forwarding service
descriptions (see ITU-T Recommendation I.254.2 for example or the equivalent
ETSI publication available at www.etsi.fr in ETS 300 199) then you will see
that a forwarding service (for the ISDN) is made up of the redirection, plus
appropriate notifications to the calling, forwarding and forwarded-to users
about the forwarding (including details of any repeated forwardings), plus a
control on the maximum number of forwardings. In ISDN there is also an
understanding that the forwarding party pays the extra cost of the
forwarding.

While I am not suggesting that a SIP forwarding service should necessarily
emulate all the above, they were all introduced for service reasons rather
than technical reasons. The charging constraint has meant that public
network forwarding services have been by forward-switching (onward routeing
of the call) rather than by redirection (returing the call to the source and
reestablishing it) which is what can be performed in private ISDNs.

While SIP could implement this charging constraint in the same manner as the
ISDN, i.e. by having a proxy retained on behalf of the forwarding user which
accumulates the additional charging details not accruing to the calling
user, other models could be envisaged, e.g. where the a proxy is retained on
behalf of the forwarding user, but the invite for the forwarding leg is
forked from an earlier proxy in the path. I am uncertain whether this could
be performed with the existing SIP.

You will probably have to look elsewhere than the IETF to identify how
implementors will handle charging in conjunction with SIP.

Keith Drage

Keith Drage
Lucent Technologies
Tel: +44 1793 776249
Email: [email-masked]

> ----------
> From: 	Mathieu Gervais[SMTP:[email-masked]]
> Reply To: 	[email-masked]
> Sent: 	11 October 2000 23:17
> To: 	[email-masked]
> Subject: 	[SIP] Call redirected (302) to more expensive destination.
> 
> Hi,
> 
> Scenario :
> 
>    Caller A calls Callee B, but B User Agent redirects, with a 302, Caller
> A 
> to another destination which is (way) more expensive for A. Because 302 is
> 
> handled kind of automatically, the user A is not really asked if he still 
> wants to try to reach B (at higher cost).
> 
> (Someone that doesn't want to talk to you could easily redirect all your 
> calls to an expensive destination, or something like that)
> 
> Does this scenario makes sense? If yes, what do people think about this 
> problem?
> 
> I guess that the user agent of A can inform him where it is getting 
> redirected, and give him a little delay to cancel the call before doing 
> automatic redirection, but what if A does not look at the "screen", or
> just 
> does not have an idea that it's going to be a more expensive address to 
> contact?
> 
> thanks,
> 
> Mathieu
> 
> 
> _________________________________________________________________________
> Get Your Private, Free E-mail from MSN Hotmail at http://www.hotmail.com.
> 
> Share information about yourself, create your own public profile at 
> http://profiles.msn.com.
> 
> 
> _______________________________________________
> SIP mailing list
> [email-masked]
> http://lists.bell-labs.com/mailman/listinfo/sip
> 

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip

---

From: Bryan Byerly <[email-masked]>
Date: Fri, 13 Oct 2000 09:37:53 -0400

The Diversion Indication in SIP I-D addresses some of these issues.
See:
http://www.ietf.org/internet-drafts/draft-levy-sip-diversion-00.txt
cheers,
Bryan